<?php
namespace boru\boruai\Openai\Api\Endpoints;

use boru\boruai\Openai\OpenAIMessage;
use boru\boruai\Openai\OpenAI;

class RunStepsAPI {
    public static function listRunSteps($threadId,$runId) {
        return OpenAI::request("get","threads/".$threadId."/runs/".$runId."/steps");
    }
    public static function getRunStep($threadId,$runId,$stepId) {
        return new OpenAIMessage(OpenAI::request("get","threads/".$threadId."/runs/".$runId,"/steps/".$stepId));
    }
    
}